package cz.jzitnik.chronos.services;

import cz.jzitnik.chronos.entities.Message;
import cz.jzitnik.chronos.entities.MessageType;
import cz.jzitnik.chronos.entities.Player;
import cz.jzitnik.chronos.entities.Item;
import cz.jzitnik.chronos.repository.ItemRepository;
import cz.jzitnik.chronos.repository.PlayerRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class ItemService {
    @Autowired
    private PlayerRepository playerRepository;

    @Autowired
    private ItemRepository itemRepository;

    public void addItem(Player player, Item item) {
        var itemSaved = itemRepository.save(item);

        var message = new Message(player, String.valueOf(itemSaved.getId()), MessageType.GOT_ITEM);

        player.getMessages().add(message);
        playerRepository.save(player);
    }
}
